#ifndef ___FRAME0_H
#define ___FRAME0_H
extern void _frame0();
extern int _CurrentFrame;
extern void FreeCurrentFrame();
extern void hmi_GotoFrame(int nFrame);
extern void hmi_TimerTrigger();
extern void hmi_TurnBacklight(int bOn);
extern int g_TimerTicksCount;

extern tCanvasWidget LabelWidget6;
extern tCanvasWidget LabelWidget4;
extern tPushButtonWidget TextPushButton5;
extern void OnTextPushButton5Paint(tWidget *, unsigned long);
extern void OnTextPushButton5Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton7;
extern void OnTextPushButton7Paint(tWidget *, unsigned long);
extern void OnTextPushButton7Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton8;
extern void OnTextPushButton8Paint(tWidget *, unsigned long);
extern void OnTextPushButton8Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton9;
extern void OnTextPushButton9Paint(tWidget *, unsigned long);
extern void OnTextPushButton9Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton10;
extern void OnTextPushButton10Paint(tWidget *, unsigned long);
extern void OnTextPushButton10Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton11;
extern void OnTextPushButton11Paint(tWidget *, unsigned long);
extern void OnTextPushButton11Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton12;
extern void OnTextPushButton12Paint(tWidget *, unsigned long);
extern void OnTextPushButton12Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton13;
extern void OnTextPushButton13Paint(tWidget *, unsigned long);
extern void OnTextPushButton13Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget26;
extern tCanvasWidget LabelWidget27;
extern tPushButtonWidget TextPushButton28;
extern void OnTextPushButton28Paint(tWidget *, unsigned long);
extern void OnTextPushButton28Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton30;
extern void OnTextPushButton30Paint(tWidget *, unsigned long);
extern void OnTextPushButton30Click(tWidget *pWidget);

extern tPushButtonWidget BitButton40;
extern void OnBitButton40Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget31;
extern tCanvasWidget LabelWidget32;
extern tPushButtonWidget TextPushButton33;
extern void OnTextPushButton33Paint(tWidget *, unsigned long);
extern void OnTextPushButton33Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton34;
extern void OnTextPushButton34Paint(tWidget *, unsigned long);
extern void OnTextPushButton34Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton35;
extern void OnTextPushButton35Paint(tWidget *, unsigned long);
extern void OnTextPushButton35Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton36;
extern void OnTextPushButton36Paint(tWidget *, unsigned long);
extern void OnTextPushButton36Click(tWidget *pWidget);

extern tPushButtonWidget BitButton37;
extern void OnBitButton37Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton38;
extern void OnTextPushButton38Paint(tWidget *, unsigned long);
extern void OnTextPushButton38Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton39;
extern void OnTextPushButton39Paint(tWidget *, unsigned long);
extern void OnTextPushButton39Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton41;
extern void OnTextPushButton41Paint(tWidget *, unsigned long);
extern void OnTextPushButton41Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget42;
extern tCanvasWidget LabelWidget43;
extern tPushButtonWidget TextPushButton44;
extern void OnTextPushButton44Paint(tWidget *, unsigned long);
extern void OnTextPushButton44Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton45;
extern void OnTextPushButton45Paint(tWidget *, unsigned long);
extern void OnTextPushButton45Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton46;
extern void OnTextPushButton46Paint(tWidget *, unsigned long);
extern void OnTextPushButton46Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton47;
extern void OnTextPushButton47Paint(tWidget *, unsigned long);
extern void OnTextPushButton47Click(tWidget *pWidget);

extern tPushButtonWidget BitButton48;
extern void OnBitButton48Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget50;
extern tCanvasWidget LabelWidget51;
extern tSliderWidget SliderWidget52;
extern void OnSliderWidget52SliderChange(tWidget *pWidget, long lValue);

extern tSliderWidget SliderWidget53;
extern void OnSliderWidget53SliderChange(tWidget *pWidget, long lValue);

extern tCanvasWidget LabelWidget54;
extern tCanvasWidget LabelWidget55;
extern tPushButtonWidget BitButton57;
extern void OnBitButton57Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget59;
extern tCanvasWidget LabelWidget60;
extern tPushButtonWidget BitButton61;
extern void OnBitButton61Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget62;
extern tPushButtonWidget BitButton63;
extern void OnBitButton63Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget65;
extern tCanvasWidget LabelWidget66;
extern void OnHotSpotWidget67Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget69;
extern tCanvasWidget LabelWidget70;
extern void OnHotSpotWidget71Click(tWidget *pWidget);

extern void OnHotSpotWidget72Click(tWidget *pWidget);

extern void OnHotSpotWidget74Click(tWidget *pWidget);

extern void OnHotSpotWidget77Click(tWidget *pWidget);

extern void OnHotSpotWidget79Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget81;
extern tCanvasWidget LabelWidget82;
extern tCanvasWidget LabelWidget83;
extern tCheckBoxWidget CheckBoxWidget84;
extern void OnCheckBoxWidget84CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget85;
extern void OnCheckBoxWidget85CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget86;
extern tCheckBoxWidget CheckBoxWidget87;
extern void OnCheckBoxWidget87CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tPushButtonWidget BitButton88;
extern void OnBitButton88Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget91;
extern tCanvasWidget LabelWidget92;
extern tCheckBoxWidget CheckBoxWidget93;
extern void OnCheckBoxWidget93CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget94;
extern void OnCheckBoxWidget94CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tTimerWidget Timer95;
extern tPushButtonWidget BitButton96;
extern void OnBitButton96Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget98;
extern tCanvasWidget LabelWidget99;
extern tPushButtonWidget BitButton100;
extern void OnBitButton100Click(tWidget *pWidget);

extern tPushButtonWidget BitButton101;
extern void OnBitButton101Click(tWidget *pWidget);

extern tPaintBoxWidget PaintBox103;
extern tCanvasWidget LabelWidget107;
extern tCanvasWidget LabelWidget108;
extern tCanvasWidget LabelWidget109;
extern tCanvasWidget LabelWidget110;
extern tPushButtonWidget BitButton111;
extern void OnBitButton111Click(tWidget *pWidget);

extern tCheckBoxWidget CheckBoxWidget113;
extern void OnCheckBoxWidget113CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCheckBoxWidget CheckBoxWidget114;
extern void OnCheckBoxWidget114CheckChange(tWidget *pWidget, unsigned long bSelected);

extern tCanvasWidget LabelWidget116;
extern tCanvasWidget LabelWidget117;
extern tPushButtonWidget TextPushButton118;
extern void OnTextPushButton118Paint(tWidget *, unsigned long);
extern void OnTextPushButton118Click(tWidget *pWidget);

extern tPushButtonWidget TextPushButton119;
extern void OnTextPushButton119Paint(tWidget *, unsigned long);
extern void OnTextPushButton119Click(tWidget *pWidget);

extern tPushButtonWidget BitButton129;
extern void OnBitButton129Click(tWidget *pWidget);

extern tCanvasWidget LabelWidget120;
extern tCanvasWidget LabelWidget121;
extern tPushButtonWidget BitButton122;
extern void OnBitButton122Click(tWidget *pWidget);

extern tPushButtonWidget BitButton123;
extern void OnBitButton123Click(tWidget *pWidget);

extern tPushButtonWidget BitButton124;
extern void OnBitButton124Click(tWidget *pWidget);

extern tPushButtonWidget BitButton125;
extern void OnBitButton125Click(tWidget *pWidget);

extern tPushButtonWidget BitButton126;
extern void OnBitButton126Click(tWidget *pWidget);

extern tPushButtonWidget BitButton127;
extern void OnBitButton127Click(tWidget *pWidget);

extern tPushButtonWidget BitButton128;
extern void OnBitButton128Click(tWidget *pWidget);

extern void OnFrame12Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame214Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame315Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame416Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame517Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame618Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame719Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame820Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame921Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame1022Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame1123Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame1224Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame13104Paint(tWidget *pWidget, tContext *pContext);
extern void OnFrame14105Paint(tWidget *pWidget, tContext *pContext);

extern tCanvasWidget CanvasFrame1;
extern tCanvasWidget CanvasFrame2;
extern tCanvasWidget CanvasFrame3;
extern tCanvasWidget CanvasFrame4;
extern tCanvasWidget CanvasFrame5;
extern tCanvasWidget CanvasFrame6;
extern tCanvasWidget CanvasFrame7;
extern tCanvasWidget CanvasFrame8;
extern tCanvasWidget CanvasFrame9;
extern tCanvasWidget CanvasFrame10;
extern tCanvasWidget CanvasFrame11;
extern tCanvasWidget CanvasFrame12;
extern tCanvasWidget CanvasFrame13;
extern tCanvasWidget CanvasFrame14;

extern void InitWidget1();
extern void InitWidget2();
extern void InitWidget3();
extern void InitWidget4();
extern void InitWidget5();
extern void InitWidget6();
extern void InitWidget7();
extern void InitWidget8();
extern void InitWidget9();
extern void InitWidget10();
extern void InitWidget11();
extern void InitWidget12();
extern void InitWidget13();
extern void InitWidget14();

extern void FreeWidget1();
extern void FreeWidget2();
extern void FreeWidget3();
extern void FreeWidget4();
extern void FreeWidget5();
extern void FreeWidget6();
extern void FreeWidget7();
extern void FreeWidget8();
extern void FreeWidget9();
extern void FreeWidget10();
extern void FreeWidget11();
extern void FreeWidget12();
extern void FreeWidget13();
extern void FreeWidget14();


extern void _frame1();
extern void _frame2();
extern void _frame3();
extern void _frame4();
extern void _frame5();
extern void _frame6();
extern void _frame7();
extern void _frame8();
extern void _frame9();
extern void _frame10();
extern void _frame11();
extern void _frame12();
extern void _frame13();
extern void _frame14();

#endif
